Potential version mismatch between WAP and SPF, please verify both component’s versions and if they’re compatible

I had a customer today who were getting errors when trying to create Virtual Machines in Windows Azure Pack (WAP).

WAP Tenant Log file
WAP Tenant Log file

Looking in the logfile on the Tenant server (Tenant Admin Log) showed that there were quite a lot of Error Events when a user is trying to create a server.

Some operations worked, like creating a virtual network but not deploying a virtual machine.

The interesting part here is the reference to; “Potential version mismatch between WAP and SPF, please verify both component’s versions and if they’re compatible”

Full Eventlog details, might help with search indexes.

 

I had a look at the SPF Server, and immediately noticed that the version of SPF was System Center 2016 RTM with no updates installed.

Updating SPF to the same version as Virtual Machine Manager (VMM) 2016 and Windows Azure Pack solved the problem.

 

 

Leave a Reply